Solved ViaVersion difficulties

Discussion in 'Spigot Plugin Help' started by LachGameZ, Jun 11, 2016.

  1. ViaVersion doesn't allow 1.9.4 players to join my 1.10 server.
     
  2. This plugin is only for 1.8 servers to allow 1.9 and 1.10 players to join their servers.
    You would know this if you read the plugin page.
    I know what you are talking about but I don't think the Author as implemented this yet.
     
    • Informative Informative x 1
  3. Ahh! That explains it. Thank you for your reply.
     
    • Friendly Friendly x 1
    • Informative Informative x 1
  4. Yea, waiting for an update.
     
    • Like Like x 1
    • Agree Agree x 1
  5. Just a quick question, will it allow 1.9, 1.10, 1.8, 1.7, 1.6, 1.5, 1.4.7 users to connect to a 1.8 server or just 1.9?
     
  6. If you install it on any of these versions, it will allow any of these versions to login, I think.
     
  7. It doesn't work for me... :(
    I will try again! :D
     
  8. Oh wait nvm you have to use Spigot 1.9.4 for it to work
     
  9. :( :( :( :(
     
  10. Yes, yes and yes.
     
  11. Also sorry for all the questions, but I would not be able to use ViaVersion for this? :p
     
  12. Install ViaVersion on 1.8.x and it will allow 1.8.x and 1.9.x (and 1.9.4) to join.
     
  13. I know but I currently have a 1.8.X server but I want to allow 1.9, 1.10 and, 1.7 clients to join. ViaVersion does 1.9 and 1.10 but I also want to add 1.7 support which ProtocolSupport allows. :p
     
  14. It works! <3
    Though for my BlockedVersion config this is what I have:
    Code (Text):
    mode: whitelist
    kickmessage: '&cThis Minecraft version is not supported.  Please use &71.7, 1.8, 1.9 or 1.10'
    versions:
    - MINECRAFT_1_7
    - MINECRAFT_1_8
    - MINECRAFT_1_9
    - MINECRAFT_1_10
     
    Will this work?
     
  15. You will need this:
    Code (Text):
    mode: whitelist
    kickmessage: '&cThis Minecraft version is not supported.  Please use &71.7, 1.8, 1.9 or 1.10'
    versions:
    - MINECRAFT_1_7_5
    - MINECRAFT_1_7_10
    - MINECRAFT_1_8
    - MINECRAFT_1_9
    - MINECRAFT_1_9_1
    - MINECRAFT_1_9_2
    - MINECRAFT_1_9_4
    - MINECRAFT_FUTURE
    - MINECRAFT_1_10